--- a/Makefile	2022-10-09 21:09:52.000000000 -0500
+++ b/Makefile	2022-10-25 13:23:48.314526041 -0500
@@ -6,7 +6,7 @@
 CC    := $(CROSS_COMPILE)gcc
 STRIP := $(CROSS_COMPILE)strip
 
-CFLAGS += -O2 -Wall -Wextra -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
+override CFLAGS += -Wall -Wextra -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter
 LDFLAGS += -lpthread
 SHARED = -shared -Wl,-soname,libhdhomerun$(LIBEXT)
 
@@ -42,30 +42,17 @@
 
 ifeq ($(OS),Darwin)
 
-TARGET_X64 := -target x86_64-apple-macos10.11
-TARGET_ARM64 := -target arm64-apple-macos11
+LIBEXT := .dylib
+TARGET := -arch x86_64
 
 all : hdhomerun_config libhdhomerun.dylib
 
-hdhomerun_config_x64 : hdhomerun_config.c $(LIBSRCS)
-	$(CC) $(TARGET_X64) $(CFLAGS) $+ $(LDFLAGS) -o $@
+hdhomerun_config : hdhomerun_config.c $(LIBSRCS)
+	$(CC) $(TARGET) $(CFLAGS) $+ $(LDFLAGS) -o $@
 	$(STRIP) $@
 
-hdhomerun_config_arm64 : hdhomerun_config.c $(LIBSRCS)
-	$(CC) $(TARGET_ARM64) $(CFLAGS) $+ $(LDFLAGS) -o $@
-	$(STRIP) $@
-
-hdhomerun_config : hdhomerun_config_x64 hdhomerun_config_arm64
-	lipo -create -output hdhomerun_config hdhomerun_config_x64 hdhomerun_config_arm64
-
-libhdhomerun_x64.dylib : $(LIBSRCS)
-	$(CC) $(TARGET_X64) $(CFLAGS) -DDLL_EXPORT -fPIC -dynamiclib $+ $(LDFLAGS) -o $@
-
-libhdhomerun_arm64.dylib : $(LIBSRCS)
-	$(CC) $(TARGET_ARM64) $(CFLAGS) -DDLL_EXPORT -fPIC -dynamiclib $+ $(LDFLAGS) -o $@
-
-libhdhomerun.dylib : libhdhomerun_x64.dylib libhdhomerun_arm64.dylib
-	lipo -create -output libhdhomerun.dylib libhdhomerun_x64.dylib libhdhomerun_arm64.dylib
+libhdhomerun.dylib : $(LIBSRCS)
+	$(CC) $(TARGET) $(CFLAGS) -DDLL_EXPORT -fPIC -dynamiclib -install_name @PREFIX@/lib/libhdhomerun$(LIBEXT) $+ $(LDFLAGS) -o $@
 
 else
 
